Subject: Re: [X2Go-Dev] Bug#214: Bug#214: Add maximun available desktop area to session resolutions combo box

From: Ricardo Díaz Martín <[email-masked]>
Date: Tue, 21 May 2013 20:49:49 +0000

This new patch add an option box in windows/mac clients (in linux it
isn't necessary because this feature is working in current stable).

If user set "max available area" max height and max width are stored in
session settings.

It was tested in linux and in windows and works as expected.

Anyway I'd like to include patch #0006 too because I think it's useful too.

Cheers,
Ricardo

--
<http://www.oceanosoft.com>

2013/5/20 Mike Gabriel <[email-masked]>

> tag #214 - patch
> tag #214 moreinfo
> thanks
>
> Hi Ricardo,
>
> On Mo 20 Mai 2013 18:18:04 CEST Ricardo Díaz Martín wrote:
>
>  Package: x2goclient
>> Severity: wishlist
>> Tag: patch
>>
>> I attach a patch to add the maximun available resolution for each monitor
>> in the session display resolutions combo box.
>>
>> I think it will be useful for the users.
>>
>> Regards,
>>
>
> thanks for this patch. Counter-suggestion: add a radio button to the
> session profile GUI that always sets the maxdim of the currently used local
> desktop.
>
> Check the pyhoca-gui session profile manager for a comparison.
>
> Normally, in the session profile options, you either set width= and
> height=, or you set fullscreen=true, or you set maxdim=true.
>
> If maxdim is set to true, then it has precedence over the width= / height=
> parameters.
>
> Could you rather implement that?
>
> Thanks+Greets,
> Mike
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<[email-masked]>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
> _______________________________________________
> X2Go-Dev mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>